version: "2"

volumes:
  mariadata:

services:
  tcgsql:
    image: mariadb:10
    restart: "no"
    environment:
      - "MYSQL_ROOT_PASSWORD=Oonov0caichohth8leiyienguoho8cho"
    volumes:
      - "mariadata:/var/lib/mysql"

  adminer:
    image: adminer:standalone
    restart: "no"
    environment:
      - "ADMINER_DESIGN=rmsoft"
      - "ADMINER_DEFAULT_SERVER=tcgsql"
    ports:
      - "8002:8080"

  # dbuser: fftcg
  # dbpass: juchie5OhH6eiQuujaoquievezoe9iXe
  fftcg:
    build: .
    command: "yarn debug"
    restart: "no"
    volumes:
      - "${PWD}/src:/app/src"
      - "${PWD}/static:/app/static"
    ports:
      - "8001:8080"
